/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :      Venot Frederic and Jacomme Ludovic           |
|                                                             |
| Date    :                  01.08.93                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushB.h>
# include <Xm/Form.h>
# include <Xm/Frame.h>
 
# include MUT_H
# include MPH_H
# include RDS_H
# include RPR_H
# include GSB_H
# include GTB_H
# include GMF_H
# include GME_H
# include GMC_H
# include GMV_H
# include GMT_H
# include GMS_H
# include GMH_H
# include GMX_H

# include "GMX_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    GraalInitializePanel                     |
|                                                             |
\------------------------------------------------------------*/

  void GraalInitializePanel()

  {
    GraalBuildPanel( GraalMainWindow, &GraalToolsGlobalPanel      );
    GraalBuildPanel( GraalMainWindow, &GraalToolsMessagePanel     );
    GraalBuildPanel( GraalMainWindow, &GraalToolsDrucPanel        );

    GraalBuildPanel( GraalMainWindow, &GraalViewArrowsPanel       );
    GraalBuildPanel( GraalMainWindow, &GraalViewZoomPanel         );
    GraalBuildPanel( GraalMainWindow, &GraalViewLayerPanel        );
    GraalBuildPanel( GraalMainWindow, &GraalViewGridPanel         );

    GraalBuildPanel( GraalMainWindow, &GraalCreateSegmentPanel    );
    GraalBuildPanel( GraalMainWindow, &GraalCreateViaPanel        );
    GraalBuildPanel( GraalMainWindow, &GraalCreateTransistorPanel );
    GraalBuildPanel( GraalMainWindow, &GraalCreateConnectorPanel  );
    GraalBuildPanel( GraalMainWindow, &GraalCreateReferencePanel  );
    GraalBuildPanel( GraalMainWindow, &GraalCreateInstancePanel   );

    GraalBuildPanel( GraalMainWindow, &GraalEditGlobalPanel       );
    GraalBuildPanel( GraalMainWindow, &GraalWindowGlobalPanel     );
    GraalBuildPanel( GraalMainWindow, &GraalEditSelectPanel       );
    GraalBuildPanel( GraalMainWindow, &GraalEditSearchPanel       );
    GraalBuildPanel( GraalMainWindow, &GraalEditSearchViewPanel   );
    GraalBuildPanel( GraalMainWindow, &GraalEditIdentifyPanel     );

    GraalBuildPanel( GraalMainWindow, &GraalModifySegmentPanel    );
    GraalBuildPanel( GraalMainWindow, &GraalModifyConnectorPanel  );
    GraalBuildPanel( GraalMainWindow, &GraalModifyTransistorPanel );
    GraalBuildPanel( GraalMainWindow, &GraalModifyReferencePanel  );
    GraalBuildPanel( GraalMainWindow, &GraalModifyViaPanel        );
    GraalBuildPanel( GraalMainWindow, &GraalModifyInstancePanel   );
  }
